% PROGRAMME DE CALCUL DE L'ENERGIE EN FONCTION DU JOUR

%		************************************************
%		*   Demande  tre initialise par energdat.m  *
%		************************************************


global H jour omega_spin periode_orbitale inclinaison rayon_orbital vitesse_rotation Pmax inc_pan

inc_pan=35*pi/180;                               % Inclinaison panneaux sur y en radian ( 35 rels )


omega_spin=10*pi/180;                 % en /s puis en radian/s

Pmax=18;                             % puissance maximum du gnrateur, en watts


% ***************** Caractristiques de l'orbite du satellite **********************

altitude_orbite=817;		                               % altitude satellite en km
rayon_orbital=(6378+altitude_orbite)*1000;
vitesse_rotation=sqrt(39.86e13/rayon_orbital^3);               % pulsation orbitale en rd/s
inclinaison=(98.7)*pi/180;                                     % Inclinaison
periode_orbitale=2*pi/vitesse_rotation;                        % Priode en secondes

% ***********************************************************************************

energie_normale_jour=[];
energie_survie_jour=[];
jours=[];
for J=0:2:366

jour=J;
      
% Initialisation la simulation energies.m
 	tfin=periode_orbitale;
 	minstep=2;
	maxstep=2;
 	tol=0.001; 	 
	options=[tol,minstep,maxstep];

     % Lancement de la simulation energies.m conue dans simulink
     
	[t,y]=rk45('energies',tfin,[],[]);
     energie_survie_jour=[energie_survie_jour max(energie_survie)]; 
     energie_normale_jour=[energie_normale_jour max(energie_normale)]; 
     jours=[jours jour];
end

plot(jours,energie_normale_jour,'w');figure(gcf):grid;hold on
plot(jours,energie_survie_jour,'g');figure(gcf):grid;hold off

title('Comparaison des nergies modes normal et survie');