% Programme d'initialisation des donnes de la simulation energies.m

%		************************************************************************************
%		*   Programme de calcul de l'nergie produite en mode normal et en mode survie     *
%		*   suivant l'heure H au noeud ascendant, et suivant l'orbite hliosynchrone       *
%		*                        choisie dans energdat.m                                   *
%		************************************************************************************

clear;clc;            % Elimine toutes les variables de l'espace de travail

global H jour omega_spin periode_orbitale inclinaison rayon_orbital vitesse_rotation Pmax inc_pan

inc_ant=35*pi/180;                               % Inclinaison panneaux sur y en degrs
inc_pan=35*pi/180;

% NB : Un spin < 0 sur y donne un spin > 0 sur Y en Y-Thomson mode

omega_spin=10*pi/180;                % en /s puis en radian/s

Pmax=18;                             % puissance maximum du gnrateur, en watts


% ***************** Caractristiques de l'orbite du satellite **********************

altitude_orbite=817;		                               % altitude satellite en km
rayon_orbital=(6378+altitude_orbite)*1000;
vitesse_rotation=sqrt(39.86e13/rayon_orbital^3);               % pulsation orbitale en rd/s
inclinaison=(98.7)*pi/180;                                     % Inclinaison
periode_orbitale=2*pi/vitesse_rotation;                        % Priode en secondes

% ***********************************************************************************

% Vrifications orbite polaire face au soleil  l'quinoxe de printemps
%H=18; jour=81;inclinaison=pi/2;

% Vrifications orbite quatoriale face au soleil  l'quinoxe de printemps
%H=18; jour=81;inclinaison=0;

% Vrifications orbite quatoriale ( ras du sol) face au soleil  l'quinoxe de printemps
%H=18; jour=81;inclinaison=pi;rayon_orbital=6378000;

% Vrifications orbite quatoriale de rayon 2R (terrestre ), inclinaison nulle, face au soleil
%H=18;jour=81;inclinaison=0;rayon_orbital=2*6378000;vitesse_rotation=sqrt(39.86e13/rayon_orbital^3);
%periode_orbitale=2*pi/vitesse_rotation;

% Vrifications orbite quatoriale ( ras du sol) face au soleil  l'quinoxe de printemps
%H=18; jour=81;inclinaison=pi;rayon_orbital=6378000*2;


% Calculs normaux de CASAA_SAT
H=21.5;jour=183;%jour=81;

%jour=59;     % CAS courant ************ jour 81 = quinoxe printemps  jour=183 = solstice t ******

% CAS 1 --> Complts par H=18;jour=171;                   CAS 1
% H=18;jour=171;

% CAS 2 --> Complt par  jour = 360 et 817 km et H=6 h    CAS 2
%jour =360;H=6;

% CAS 3 --> Complt par  jour = 125 et 817 km et H=18 h   CAS 3
%jour=125;H=18;

% CAS 4 : Pour jour=170, H=18 h altitude 500 km et inclinaison adapte 97.5 
%jour=170;H=18;rayon_orbital=6378000+500000;inclinaison=97.5*pi/180;
%vitesse_rotation=sqrt(39.86e13/rayon_orbital^3);periode_orbitale=2*pi/vitesse_rotation;

% CAS5 : 
jour=125; H=18; 

% ***********************************************************************************

end